package org.apache.poi.ss.examples;
import org.apache.poi.ss.usermodel.*;
import org.apache.poi.xssf.usermodel.*;

import java.io.FileInputStream;
import java.io.IOException;


public class ReadDataFormat {

    public static String getDataFormat(Cell cell) {
    	
        CellStyle cs = cell.getCellStyle();
        
        return cs.getDataFormatString();
    }

    public static void main(String[] args) throws IOException, Exception {
        FileInputStream fileIn = null;

        try
            {
                fileIn = new FileInputStream(args[0]);
                Workbook wb = WorkbookFactory.create(fileIn);
                
                Sheet sheet = wb.getSheetAt(0);
                
                 int number_of_rows = sheet.getLastRowNum();
                
                for (int i = 0; i<=number_of_rows; i++) {
                    Row row = sheet.getRow(i);
                    if (row != null) {
                    	Cell cell = row.getCell(0);
                    	System.out.println(getDataFormat(cell));
                    }
                }
                
            } finally {
                if (fileIn != null)
                    fileIn.close();
            }
    }
    
}
